package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel
public class DrpSupplierQualificationDetailPageVO {
   @ApiModelProperty("id")
   private Long id;
   @ApiModelProperty("资质编号")
   private String qualificationNum;
   @ApiModelProperty("资质名称")
   private String qualificationName;
   @ApiModelProperty("有效期")
   private LocalDate validity;
   @ApiModelProperty("资质照片")
   private String imgUrl;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("关联证书库ID")
   private Long certId;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getId() {
      return this.id;
   }

   public String getQualificationNum() {
      return this.qualificationNum;
   }

   public String getQualificationName() {
      return this.qualificationName;
   }

   public LocalDate getValidity() {
      return this.validity;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Long getCertId() {
      return this.certId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setQualificationNum(final String qualificationNum) {
      this.qualificationNum = qualificationNum;
   }

   public void setQualificationName(final String qualificationName) {
      this.qualificationName = qualificationName;
   }

   public void setValidity(final LocalDate validity) {
      this.validity = validity;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setCertId(final Long certId) {
      this.certId = certId;
   }




   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierQualificationDetailPageVO(id=" + var10000 + ", qualificationNum=" + this.getQualificationNum() + ", qualificationName=" + this.getQualificationName() + ", validity=" + String.valueOf(this.getValidity()) + ", imgUrl=" + this.getImgUrl() + ", supplierId=" + this.getSupplierId() + ", certId=" + this.getCertId() + ")";
   }
}
